=== icons/CMakeLists.txt ===
INSTALL(FILES drumstick_16.png 
    DESTINATION share/icons/hicolor/16x16/apps   
    RENAME drumstick.png)

INSTALL(FILES drumstick_32.png 
    DESTINATION share/icons/hicolor/32x32/apps   
    RENAME drumstick.png)

INSTALL(FILES drumstick_48.png 
    DESTINATION share/icons/hicolor/48x48/apps   
    RENAME drumstick.png)

INSTALL(FILES drumstick_64.png 
    DESTINATION share/icons/hicolor/64x64/apps   
    RENAME drumstick.png)

INSTALL(FILES drumstick.svgz
    DESTINATION share/icons/hicolor/scalable/apps)
