=== debian/changelog ===
libdrumstick (0.5.0-3) unstable; urgency=low

  [ Adrian Knoth ]
  * Replace old binutils patch with new one:
    - The cmake maintainer suggested a different fix, so here's the new
      approach. For details, see #615742.

  [ Alessio Treglia ]
  * Build for Multi-Arch.
  * Remove missing_libs.patch, superseded by Adrian's new patch.
  * Refresh patches.
  * Bump Standards.
  * Rewrite debian/copyright to comply with DEP-5.
  * Add override to avoid Lintian's package-name-doesnt-match-sonames
    warning.
  * Include in libdrumstick-dbg only symbols coming from libdrumstick0;
    this avoids installing drumstick-tools when one needs the -DBG just
    to debug the libraries.

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Feb 2012 21:13:53 +0100

libdrumstick (0.5.0-2) unstable; urgency=low

  [ Arnout ]
  * Add Rui Fan as copyright holder to the OVE file format support.

  [ Alessio Treglia ]
  * Add patch to prevent FTBFS with newest toolchain (Closes: #615742).

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Feb 2011 12:07:20 +0100

libdrumstick (0.5.0-1) unstable; urgency=low

  [ Adrian Knoth ]
  * New upstream release.
  * Include mime-type definition file.

  [ Alessio Treglia ]
  * Add Adrian to the Uploaders list.
  * Allow DM uploads.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 09 Sep 2010 14:01:04 +0200

libdrumstick (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #579153)

 -- Arnout Engelen <arnouten@bzzt.net>  Sat, 04 Sep 2010 17:50:31 +0200
