=== debian/control ===
Source: libdrumstick
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Arnout Engelen <arnouten@bzzt.net>
DM-Upload-Allowed: yes
Build-Depends:
 autotools-dev,
 cmake,
 debhelper (>= 7.0.50~),
 docbook-xsl,
 libasound2-dev,
 libqt4-dev,
 libx11-dev,
 pkg-config,
 xsltproc
Standards-Version: 3.9.2
Homepage: http://drumstick.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-multimedia/libdrumstick.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libdrumstick.git

Package: libdrumstick-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdrumstick0 (= ${binary:Version}),
 ${misc:Depends}
Description: Qt4/C++ wrapper for ALSA Sequencer - development files
 This library is a C++ wrapper around the ALSA library sequencer interface,
 using Qt4 objects, idioms and style. ALSA sequencer provides software support
 for MIDI technology on Linux. Complementary classes for SMF and WRK file
 processing are also included.
 .
 This package provides the development files.

Package: libdrumstick0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Qt4/C++ wrapper for ALSA Sequencer
 This library is a C++ wrapper around the ALSA library sequencer interface,
 using Qt4 objects, idioms and style. ALSA sequencer provides software support
 for MIDI technology on Linux. Complementary classes for SMF and WRK file
 processing are also included.

Package: libdrumstick-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 libdrumstick0 (= ${binary:Version}),
 ${misc:Depends}
Description: Qt4/C++ wrapper for ALSA Sequencer - debugging symbols
 This library is a C++ wrapper around the ALSA library sequencer interface,
 using Qt4 objects, idioms and style. ALSA sequencer provides software support
 for MIDI technology on Linux. Complementary classes for SMF and WRK file
 processing are also included.
 .
 This package provides the debugging symbols.

Package: drumstick-tools
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Qt4/C++ wrapper for ALSA Sequencer - utilities
 This library is a C++ wrapper around the ALSA library sequencer interface,
 using Qt4 objects, idioms and style. ALSA sequencer provides software support
 for MIDI technology on Linux. Complementary classes for SMF and WRK file
 processing are also included.
 .
 This package provides utilities shipped with the library:
  - drumstick-buildsmf: Standard MIDI File creation from scratch.
  - drumstick-dumpgrid: Simple Qt drum sequencer.
  - drumstick-dumpmid: Write ALSA MIDI events to STDOUT.
  - drumstick-dumpsmf: Write MIDI events from a MIDI file to STDOUT.
  - drumstick-dumpwrk: Write MIDI events from a Cakewalk WRK file to STDOUT.
  - drumstick-guiplayer: Simple Qt MIDI file player.
  - drumstick-metronome: Headless MIDI metronome.
  - drumstick-playsmf: Headless MIDI file player.
  - drumstick-sysinfo: Display information about ALSA MIDI.
  - drumstick-timertest: Test performance of the ALSA timer.
  - drumstick-vpiano: Virtual Piano Keyboard GUI application.
