=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LDFLAGS+=-Wl,--as-needed

%:
	dh $@ -S cmake

override_dh_auto_configure:
	dh_auto_configure -- -DLIBDIR=lib/$(DEB_HOST_MULTIARCH)

override_dh_strip:
	dh_strip -plibdrumstick0 --dbg-package=libdrumstick-dbg
	dh_strip --remaining-packages
