=== debian/watch ===
version=3
http://sf.net/drumstick/drumstick-(.*)\.tar\.gz
